// ============================================================================
// (C) Copyright IBM Corporation 2006, 2007.  All Rights Reserved.
// 
// You may only copy, modify, and distribute these samples internally.
// These samples have not been tested under all conditions and are provided
// to you by IBM without obligation of support of any kind.
//
// IBM PROVIDES THESE SAMPLES "AS IS" SUBJECT TO ANY STATUTORY WARRANTIES THAT
// CANNOT BE EXCLUDED. IBM MAKES NO WARRANTIES OR CONDITIONS, EITHER EXPRESS
// OR IMPLIED, INCLUDING BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OR
// CONDITIONS OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND
// NON-INFRINGEMENT REGARDING THESE SAMPLES OR TECHNICAL SUPPORT, IF ANY.
// ============================================================================

function hasClass(element, classname) {
	return ((" " + element.className + " ").indexOf(" " + classname + " ") >= 0);
}

var colorize = function() {
	var tables = document.getElementsByTagName("table");	
	for(var x=0;x!=tables.length;x++){
		var table = tables[x];
		colorizeTable(table);
	}
}

function colorizeTable(table){
	if (table && hasClass(table, "highlighted")) {
		var tbodies = table.getElementsByTagName("tbody");
		for (var h = 0; h < tbodies.length; h++) {
			var even = true;
			var trows = tbodies[h].getElementsByTagName("tr");
			
			for (var i = 0; i < trows.length; i++) {
				trows[i].onmouseover=function(){
					this.className += " ruled"; return false
				}
				trows[i].onmouseout=function(){
					this.className = this.className.replace("ruled", ""); return false
				}
				
				if(even)
					trows[i].className += " even";
				
				even = !even;
			}
		}
	}
}


window.onload = colorize;